Apache log4cxx: AppenderAttachableImpl Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AppenderAttachableImpl Class Reference

Inherits AppenderAttachable, and ObjectImpl.

List of all members.

## Public Member Functions
| AppenderAttachableImpl (Pool &pool)
| Create new instance.
void | addRef () const
void | releaseRef () const
virtual void | addAppender (const AppenderPtr &newAppender)
| Add an appender.
int | appendLoopOnAppenders (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &p)
| Call the `doAppend` method on all attached appenders.
virtual AppenderList | getAllAppenders () const
| Get all previously added appenders as an Enumeration.
virtual AppenderPtr | getAppender (const LogString &name) const
| Get an appender by name.
virtual bool | isAttached (const AppenderPtr &appender) const
| Returns `true` if the specified appender is in the list of attached appenders, `false` otherwise.
virtual void | removeAllAppenders ()
| Remove all previously added appenders.
virtual void | removeAppender (const AppenderPtr &appender)
| Remove the appender passed as parameter from the list of appenders.
virtual void | removeAppender (const LogString &name)
| Remove the appender with the name passed as parameter from the list of appenders.
const log4cxx::helpers::Mutex & | getMutex () const
## Protected Attributes
AppenderList | appenderList
| Array of appenders.

## Constructor & Destructor Documentation

AppenderAttachableImpl | ( | Pool & | pool | ) |

  | Create new instance. Parameters:
  | pool | pool, must be longer-lived than instance.

## Member Function Documentation

virtual void addAppender | ( | const AppenderPtr & | newAppender | ) | `[virtual]`

| Add an appender. Implements AppenderAttachable.

void addRef | ( |  | ) | const`[virtual]`

| Reimplemented from ObjectImpl.

int appendLoopOnAppenders | ( | const spi::LoggingEventPtr & | event,
|  | log4cxx::helpers::Pool & | p
| ) |

| Call the `doAppend` method on all attached appenders.

virtual AppenderList getAllAppenders | ( |  | ) | const`[virtual]`

| Get all previously added appenders as an Enumeration. Implements AppenderAttachable.

virtual AppenderPtr getAppender | ( | const LogString & | name | ) | const`[virtual]`

| Get an appender by name. Implements AppenderAttachable.

const log4cxx::helpers::Mutex& getMutex | ( |  | ) | const`[inline]`

virtual bool isAttached | ( | const AppenderPtr & | appender | ) | const`[virtual]`

| Returns `true` if the specified appender is in the list of attached appenders, `false` otherwise. Implements AppenderAttachable.

void releaseRef | ( |  | ) | const`[virtual]`

| Reimplemented from ObjectImpl.

virtual void removeAllAppenders | ( |  | ) | `[virtual]`

| Remove all previously added appenders. Implements AppenderAttachable.

virtual void removeAppender | ( | const LogString & | name | ) | `[virtual]`

| Remove the appender with the name passed as parameter from the list of appenders. Implements AppenderAttachable.

virtual void removeAppender | ( | const AppenderPtr & | appender | ) | `[virtual]`

| Remove the appender passed as parameter from the list of appenders. Implements AppenderAttachable.

## Member Data Documentation

AppenderList appenderList`[protected]`

| Array of appenders.

The documentation for this class was generated from the following file:

- appenderattachableimpl.h